#ifndef ___FRAME0_H
#define ___FRAME0_H
extern void _frame0();
extern int _CurrentFrame;
extern void FreeCurrentFrame();
extern void hmi_GotoFrame(int nFrame);
extern void hmi_TimerTrigger();
extern void hmi_TurnBacklight(int bOn);
extern int g_TimerTicksCount;

extern void OnHotSpotWidget13Click(tWidget *pWidget);

extern void OnHotSpotWidget25Click(tWidget *pWidget);

extern void OnHotSpotWidget26Click(tWidget *pWidget);

extern void OnHotSpotWidget21Click(tWidget *pWidget);

extern tCheckBoxWidget CheckBoxWidget15;
extern void OnCheckBoxWidget15CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget18;
extern void OnCheckBoxWidget18CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget29;
extern void OnCheckBoxWidget29CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget28;
extern void OnCheckBoxWidget28CheckChange(tWidget *pWidget, unsigned long bSelected);

extern void OnHotSpotWidget23Click(tWidget *pWidget);

extern tCheckBoxWidget CheckBoxWidget32;
extern void OnCheckBoxWidget32CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget34;
extern void OnCheckBoxWidget34CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget36;
extern void OnCheckBoxWidget36CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget38;
extern void OnCheckBoxWidget38CheckChange(tWidget *pWidget, unsigned long bSelected);

extern void OnHotSpotWidget24Click(tWidget *pWidget);

extern tSliderWidget SliderWidget40;
extern void OnSliderWidget40SliderChange(tWidget *pWidget, long lValue);

extern tCanvasWidget LabelWidget46;
extern void OnFrame12Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame25Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame36Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame47Paint(tWidget *pWidget, tContext *pContext);

extern tCanvasWidget CanvasFrame1;
extern tCanvasWidget CanvasFrame2;
extern tCanvasWidget CanvasFrame3;
extern tCanvasWidget CanvasFrame4;

extern void InitWidget1();
extern void InitWidget2();
extern void InitWidget3();
extern void InitWidget4();

extern void FreeWidget1();
extern void FreeWidget2();
extern void FreeWidget3();
extern void FreeWidget4();


extern void _frame1();
extern void _frame2();
extern void _frame3();
extern void _frame4();

#endif
